<?php

namespace Kaitek\Bundle\FrameworkBundle\Repository;

use Doctrine\ORM\EntityRepository;
/**
 * CustomRightRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class CustomRightRepository extends EntityRepository
{
    public function loadCustomRightByUserId($userId) {
        $customRight = $this->createQueryBuilder('CustomRight')
            ->where('CustomRight.userId = :userId and CustomRight.deleteuserId is null')
            ->setParameter('userId', $userId)
            ->getQuery()
            ->getResult();
        return $customRight;
    }
    
    public function loadCustomRightByUserInfo($userId, $entity) {
        $q = $this->createQueryBuilder('CustomRight')
            ->leftjoin('CustomRight.role', 'r')
            ->leftjoin('r.users', 'ur')
            ->where('(IDENTITY(CustomRight.user) = :userId or (CustomRight.user is null and ur=:userId)) and CustomRight.entity = :entity and CustomRight.deleteuserId is null')
            ->setParameter('userId', $userId)
            ->setParameter('entity', $entity)
            ->getQuery();
        $customRight = $q->getResult();
        return $customRight;
    }
}
